Upgrading swift version

Today I tried to upgrade developing iOS APP for personal use. Actually I have not been updating it for 1 year. Last file update was 6th Jan 2016. since i was free during end year holiday, looks tried to make App by swift 2.0. just coming same season. So latest version for swift is 3.0.

I’m aware of some updated function and different function, those issue was fixed. But crashing on simulated was happened even if there is no complier error on Xcode. after checking line by line, I detected error was occured when App tried to get permission to access Calendar data by Using EKEventStore. One addtionall setting for info.plist is needed due to privacy policy changing by apple.

Info.plist – Requesting Permission Privacy Settings in iOS 10.

App Crash was solved, but I spent 3 hours to detect it…. more effort to understand is needed…

Leave a Reply

Your email address will not be published. Required fields are marked *